Support the top 10 Community Wishlist 2015 tasks suitable for volunteers until they are resolved
Closed, ResolvedPublic

Description

This task is a continuation of T130095: A plan for the top ten Community Wishlist tasks driven by volunteers and it is planned to be assigned to the new developer advocate joining the Technical Collaboration team in October.

Status as of 5 June 2017:

10 top Community Wishlist 2015 tasks that the Technical Collaboration team actively supports in the ways we can:

#TaskStatusDrivers
11T3790: Allow uploading of 3D files to Wikimedia Commons (Also ranked #33 in CW'16)In progress- at Mw:Extension:3d T132058
15T120733: Improve date range searches on Special:ContributionsComplete- by Sn1per et al
23T48580: Create a VisualEditor plugin to integrate with ProofreadPageComplete- by Coren et al
24T100645: Efficient way to refer to different pages of the same work when adding references to an article (#17)In development- Initial efforts by Felipe Schenone et al, currently in ready for development mode with WMDE
27T109561: Add non-exact title search to Special:Undelete and corresponding APIDone & deployment plan in action T163235- by Smalyshev
32T88781: Create a Timer based reminder for workflowsIn development- A similar & simple version of this task (T88781) in development by an Outreachy candidate
34T28059: Add support for KML/KMZ filetypePossibly open for development
38T120439: Create a tool to auto-populate categories through Wikidata/other wiki comparisonPossibly open for development- Some proof of concept work done by Valhallasw et al
41T120764: Improve Special:LogPartially Done#1 is Done by Cenarium et al. #2 is in development by Jackmcbarn, Cenarium et al. #3 and #4 need owners.
43T22307: Generate automatic summary /* blah */ when I manually add a section heading when editingIn progress- Patch updated during 2017 hackathon by Matma Rex et al

Further Updates are being done in https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Results directly, with green background indicating tasks needing feedback or ready for development.

Related Objects

Qgil created this task.Sep 13 2016, 7:09 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 13 2016, 7:09 AM
kaldari updated the task description. (Show Details)Sep 13 2016, 8:07 AM
Qgil assigned this task to srishakatux.Oct 12 2016, 7:04 AM
Qgil triaged this task as Low priority.
Qgil moved this task from Backlog to Ready to Go on the Developer-Relations (Oct-Dec-2016) board.
Qgil added a subscriber: srishakatux.

This task is now one of @srishakatux's quarterly goals. The idea is that she will start easy, familiarizing herself with the features requested, the ongoing projects, and the people pushing them.

It is unlikely that there will be time to work on this during this short and intense month. I am taking the liberty to move this task to the next quarter. Let's wait for the results of the new Survey and let's focus on the Summit and Google Code-in now.

srishakatux updated the task description. (Show Details)Feb 10 2017, 2:32 AM
srishakatux updated the task description. (Show Details)
srishakatux updated the task description. (Show Details)
srishakatux updated the task description. (Show Details)Apr 21 2017, 12:11 AM
srishakatux updated the task description. (Show Details)Apr 21 2017, 12:20 AM
srishakatux updated the task description. (Show Details)Jun 5 2017, 10:51 PM

@Qgil I've updated the task description. Should this task be closed now? The ones that are open for development, does not seem like a good fit for possible tech projects/ outreach venues.

Qgil added a comment.Jun 7 2017, 4:42 PM

Yes, I think it is OK to close this task. We need to write down the lessons learned somewhere, but we can do this in the context of T154988.

srishakatux closed this task as Resolved.Jun 17 2017, 12:53 AM

Lessons learned from T154988 are summarized in a comment here and the same applies to this task as well. Wrapping this up.

Qgil awarded a token.Jun 19 2017, 1:48 PM